<template>
  <div class="demo-state-line">
    <v-row class="ma-0 pa-0 space-between ma-auto">
      <v-col align="left" class="pa-0">
        <v-row class="my-auto mx-0 demo-state-line-label">
          <Icon :icon="state === 'success' ? 'check-circle' : 'cancel-circle'"  />
          <div>{{ label }}</div>
        </v-row>
        <v-row v-if="subtext" class="my-auto mx-0 demo-state-line-subtext">
          <div>{{ subtext }}</div>
        </v-row>
      </v-col>
      <v-col v-if="state === 'success'" align="right" class="pa-0 my-auto" cols="2">
        <Badge  label="Done" :state="state" :showIcon="true"/>
      </v-col>
    </v-row>
  </div>
</template>

<script lang="ts">
import { Vue, Options, prop } from 'vue-class-component';
import Badge from '@/components/UIElements/Badge.vue';
import Icon from '@/components/UIElements/Icon.vue'

class Props {
  label: string = prop({
    required: true,
  });
  subtext?:string = prop({
    required: false,
  });
  state: string = prop({
    required: true,
  });
}

@Options({
  components: {
    Badge,
    Icon
  },
})
export default class DemoStateLine extends Vue.with(Props) {

}
</script>

<style lang="scss" scoped>
.demo-state-line {
  padding: 16px;
  min-height: 64px;
  display: flex;
  .demo-state-line-subtext {
    padding-left: 32px;
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
  }
}
</style>

<style lang="scss">
.demo-state-line { 
  .demo-state-line-label {
    .icon-container {
      margin: 0;
      margin-right: 16px;
    }
  }
}
</style>
